import { request } from '../axios/request'
export default {
    //创建用户
    createUser(parames){
        return request.post("/user/createUser",parames)
    },
    loginUserInfo (){
        return request.get("/user/getUserInfo")
    },
    //获取用户列表
    getUserList (parames){
        return request.get("/user/getUserList",parames)
    },
    //更新用户
    updateUser(parames){
        return request.post("/user/updateUser",parames)
    },
    //删除用户
    delUser(parames){
        return request.post("/user/delUser",parames)
    },
    //验证用户
    verifyUserInfo(parames){
        return request.post("/user/verifyUserInfo",parames)
    },
    /**
     * 角色列表
     */
    roleList(parames){
        return request.get("/user/roleList",parames)
    },
    //添加角色
    addRole(parames){
        return request.get("/user/addRole",parames)
    },
    //删除角色
    delRole(parames){
        return request.get("/user/delRole",parames)
    },
    //更新角色
    updateRole(parames){
        return request.get("/user/updateRole",parames)
    },
    //获取角色信息
    roleInfo(parames){
        return request.get("/user/roleInfo",parames)
    },

}